List Categories
curl --request GET \
--url https://app.amber.ai/api/public/v1/brands/{brand}/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.amber.ai/api/public/v1/brands/{brand}/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.amber.ai/api/public/v1/brands/{brand}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"parentId": "<string>",
"name": "<string>",
"code": "<string>",
"defaultHtsCode": "<string>",
"defaultSizeSystemId": "<string>",
"defaultTargetSize": "<string>",
"nextValue": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>",
"totalItems": 4503599627370495
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}Categories
List Categories
GET
/
brands
/
{brand}
/
categories
List Categories
Authorizations
A brand-scoped or global amb_sk_... API key.
Path Parameters
Brand slug authorized by this API key.
Example:
"acme"
Query Parameters
Opaque nextCursor from the same collection and filters. Omit on the first request.
Required range:
1 <= x <= 100Exact, case-sensitive match. Spaces and punctuation are literal.
Required string length:
1 - 255Exact, case-sensitive match. Spaces and punctuation are literal.
Required string length:
1 - 255Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$